#include <iostream>
using namespace std;
int main()
{
    int a,b,c,d,e,obemIns,obemKut;
    cin>>a>>b>>c>>d>>e;
    obemIns=a*a*a+b*b*b+c*c*c+d*d*d;
    obemKut=e*e*e;
    if(obemKut>obemIns)
    {
        cout<<1;
    }else{
        cout<<obemIns/obemKut<<endl;
    }
    return 0;
}
